﻿<%@ Page Language="C#" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Breakpoints</title>
	<style type="text/css">
	.page-xs {color: red;}
	.page-sm {color: green;}
	.page-md {color: blue;}
	.page-lg {color: brown;}
	.page-xl {color: purple;}
	</style>
</head>
<body>
<form id="form1" runat="server">


	<asp:ScriptManager runat="server" />


	<div class="test">
		Some test content
	</div>


	<!-- remove jQuery if you are loading it anyway -->
	<script type="text/javascript" src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
	<script type="text/javascript">
	(function() {

		var $body = $(document.body);

		if ( !"matchMedia" in window ) {
			return;
		}

		var mqXs = window.matchMedia("(max-width: 360px)");
		var mqSm = window.matchMedia("(min-width: 361px) and (max-width: 768px)");
		var mqMd = window.matchMedia("(min-width: 769px) and (max-width: 1024px)");
		var mqLg = window.matchMedia("(min-width: 1025px) and (max-width: 1280px)");
		var mqXl = window.matchMedia("(min-width: 1281px)");

		function handleXs( mq ) {
			if (mq.matches) {
				$body.addClass( "page-xs" )
			}
			else {
				$body.removeClass( "page-xs" )
			}
		}
		function handleSm( mq ) {
			if (mq.matches) {
				$body.addClass( "page-sm" )
			}
			else {
				$body.removeClass( "page-sm" )
			}
		}
		function handleMd( mq ) {
			if (mq.matches) {
				$body.addClass( "page-md" )
			}
			else {
				$body.removeClass( "page-md" )
			}
		}
		function handleLg( mq ) {
			if (mq.matches) {
				$body.addClass( "page-lg" )
			}
			else {
				$body.removeClass( "page-lg" )
			}
		}
		function handleXl( mq ) {
			if (mq.matches) {
				$body.addClass( "page-xl" )
			}
			else {
				$body.removeClass( "page-xl" )
			}
		}


		mqXs.addListener(handleXs);
		mqSm.addListener(handleSm);
		mqMd.addListener(handleMd);
		mqLg.addListener(handleLg);
		mqXl.addListener(handleXl);

		handleXs(mqXs);
		handleSm(mqSm);
		handleMd(mqMd);
		handleLg(mqLg);
		handleXl(mqXl);

	})();
	</script>


</form>
</body>
</html>